For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAdd/Edit Bank Details
      • PATCHChange the auto-withdrawal setting
      • POSTCreate a bank transfer method
      • DELDelete Bank Details
      • POSTDynamic Requirements
      • GETFetch all payout methods
      • GETGet Bank Details
      • GETGet bank transfer requirements
      • GETGet bank transfer supported routes for contractor
      • GETGet the auto-withdrawal setting
      • GETList Contractor Balances
      • POSTRequest to withdraw funds
      • PUTUpdate a bank transfer method
      • POSTUpdate auto withdraw setting for contractor
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsPayouts

Delete Bank Details

DELETE
/payouts/employees/methods/:id
DELETE
/rest/v2/payouts/employees/methods/:id
$curl -X DELETE https://api.letsdeel.com/rest/v2/payouts/employees/methods/d290f1ee-6c54-4b01-90e6-d701748f0851 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {}
>}'
1{}

Permanently removes the bank payout method identified by the given method id. Token scopes: worker:read, worker:write

Was this page helpful?
Previous

Dynamic Requirements

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
method ID

Response

Delete Bank Details

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error